package net.northking.cctp.scriptcase.feign.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@JsonSerialize
@ApiModel(description = "数据集表头对象")
public class DataHeaderDto implements Serializable {
    @ApiModelProperty("列名称")
    private String name;
    @ApiModelProperty("数据类型")
    private String type;
    @ApiModelProperty("数据是否支撑重复使用")
    private String isRepeat;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getIsRepeat() {
        return isRepeat;
    }

    public void setIsRepeat(String isRepeat) {
        this.isRepeat = isRepeat;
    }
}
